Skip to main content
`Ctrl`+`K`

# MultiGraph.remove_node

MultiGraph.remove_node(n)

  Remove node n.

  Removes the node n and all adjacent edges. Attempting to remove a nonexistent node will raise an exception.

  Parameters:
    n node

      A node in the graph

  Raises:
    NetworkXError

      If n is not in the graph.

  See also

  `remove_nodes_from`

  Examples

      >>> G = nx.path_graph(3)  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> list(G.edges)
      [(0, 1), (1, 2)]
      >>> G.remove_node(1)
      >>> list(G.edges)
      []